aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rc.sysinit
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/rc.sysinit')
-rwxr-xr-xrc.d/rc.sysinit7
1 files changed, 7 insertions, 0 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 3a5c5dee..6176459d 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -819,3 +819,10 @@ if [ "$PROMPT" != "no" ]; then
/sbin/getkey i && touch /var/run/confirm
fi
wait
+
+[ -x /sbin/redhat-support-check ] &&
+ [ -f /var/lib/supportinfo ] &&
+ /sbin/redhat-support-check || {
+ echo $"startup will continue in 10 seconds"
+ sleep 10
+}